9 Replies Latest reply on Feb 20, 2010 5:57 AM by jrobin1

    FMS9 Admin tool crashes with Snow Leopard

    deeeep

      Title

      FMS9 Admin tool crashes with Snow Leopard

      Your post

      I just installed 10a432 (Snow Leopard 10.6 Client) and Run Filemaker Server 9. I found that when I launch the Admin tool, it logs in fine, but the moment I select "Clients" or "Databases" or any other pane of the likes, the program crashes... "An Unknown Error has occured", in the Console I get the message "[0x0-0x138138].com.apple.jnlp-http___192.168.2.50_16000_admin_console_webstart.jnlp[2780] com.ulcjava.base.shared.internal.IllegalArgumentException: invalid corner key"

       

      Any solutions? 

        • 1. Re: FMS9 Admin tool crashes with Snow Leopard
          TSGal

          Deeeep:

           

          Thank you for your post.

           

          Since Snow Leopard hasn't yet been released, I don't know if a solution exists.  I am assuming it worked fine with Leopard (10.5.x).

           

          Is this a beta version of Snow Leopard?  If so, then you may want to wait until it is officially released.

           

          TSGal

          FileMaker, Inc. 

          • 2. Re: FMS9 Admin tool crashes with Snow Leopard
            webmaster@seismosoc.org
              

            TSGal wrote: 

             

            Since Snow Leopard hasn't yet been released, I don't know if a solution exists.  I am assuming it worked fine with Leopard (10.5.x).

             

            Is this a beta version of Snow Leopard?  If so, then you may want to wait until it is officially released.

              

            Snow Leopard is out of beta, and the FMS9 Admin tool still crashes just as Deeeep describes.  

             

            • 3. Re: FMS9 Admin tool crashes with Snow Leopard
              webmaster@seismosoc.org
                

              DavidTrap wrote:

              The official version of Snow Leopard is out and FMP 9 crashes after I installed Snow Leopard.



              Hmmm. I haven't had any trouble with Filemaker Pro 9 itself on Snow Leopard, only the Filemaker Server Admin tool (which, since the Admin tool is pretty much a pure Java app, I think may be a Java 1.5 vs. Java 1.6 issue). Filemaker Pro 9 itself seems to work fine. I'd suggest making sure you've got the latest updates (9.0v3 and the 9.0.3 SSL Updater) and, if that doesn't fix it, trashing Filemaker's preferences (~/Library/Preferences/FileMaker Preferences/FileMaker Pro 9.0 Prefs).


              • 4. Re: FMS9 Admin tool crashes with Snow Leopard
                webmaster@seismosoc.org
                  

                Thread Bump.

                 

                This problem, AFAIK, remains unresolved. 

                 

                Anybody know anything relevant?

                • 5. Re: FMS9 Admin tool crashes with Snow Leopard
                  metasys
                    

                  Sorry , I do not know any more, but am in much the same position.  Just moved a 9 Serrver onto a new MacMini Server (Snow Lep)and hit the brick wall.  The admin console hangs and grumps on startup.  Investigation so far is

                  1 If you install FM Pro 9 (standalone), the application works and you share out your database easily.  All appears to work fine

                  2 If you install FM Pro 9 (server version), the application installs but the console will not launch . Java errors

                  3 Resetting Java to V6 with greater priority than 7 Does not influence the situation.

                  4 Apple do not want to know

                  5 No easy way to install earlier java that may fix the issue (apple will not support it though)

                  6 A friendly FM developer tells me that FM are aware of the problem but cannot/will not fix it

                   

                  Suggested solutions

                  1 Upgrade Server to V 10 - This is not economical as system is 2 workstations and a server (you need 10 server advanced to do the web stuff now... apparently!)

                  2 Remain on 10.5.x  Server ---- Why... everything else works.?

                  3 Trash approx £3K of investment on a system and start again

                   

                  It seems to me that quite a few small businesses will slip down the cracks.  IMHO it is a FM issue.  They have always been good about maintaining compatibility, but now it appears that the intro of SL is being turned into an extra sales opportunity.  Just take a look at the price shifts.

                   

                  Does anyone out there know a workaround?

                   

                  I do not need V10.  V4 features would have been almost good enough  

                   

                  TIA

                   

                   

                   

                   

                  • 6. Re: FMS9 Admin tool crashes with Snow Leopard
                    TSGal

                    All:

                     

                    Sorry for the late reply.

                     

                    FileMaker Server 9 will NOT launch with Snow Leopard.  Only FileMaker Server 10 will work with Snow Leopard.  This is documented in Knowledge Base Article #7355:

                     

                    http://filemaker.custhelp.com/cgi-bin/filemaker.cfg/php/enduser/std_adp.php?p_faqid=7355

                     

                    TSGal

                    FileMaker, Inc. 

                    • 7. Re: FMS9 Admin tool crashes with Snow Leopard
                      deeeep
                        

                      Ladies and Gentlemen....

                       

                      A final solution to the Admin console 9.0 failing on Snow Leopard! 

                       

                      http://www.macosxhints.com/article.php?story=20100123192950640

                       

                      Do this and set the default JavaVM for Applets to 5.0 in the Java Preferences in /Applications/Utilities/

                       

                      Works for me! 

                      • 8. Re: FMS9 Admin tool crashes with Snow Leopard
                        webmaster@seismosoc.org
                          

                        Just in case anyone else is trying this and running into the same problem I did...

                         

                        On a 27" iMac running Snow Leopard I attempted this solution and set the default JavaVM for Java Applications in the Java Preferences to "J2SE 5.0  32-bit."

                         

                        FMS9 Console still crashes.

                         

                        Set the default JavaVM to "J2SE 5.0  64-bit."

                         

                        FMS9 Console works now (yay!).

                         

                        (Maybe choosing the 64-bit version on a 64-bit machine should be obvious, but I was thinking something along the lines of "32-bit version's more likely to be compatible 'cause it's older/less advanced.")

                        • 9. Re: FMS9 Admin tool crashes with Snow Leopard
                          jrobin1
                             After searching these threads for days, I have finally found my answer. I have a new MacMini Server running Snow Leopard Server. I can't access Admin Console (it would be nice if you could set server prefs without it being dependent on Java). I can't down grade to an earlier version of JAVA. So after paying $1000 for FMS9 a little over a year ago, I will have to pay an additional $600 to get my Database working again or find another database solution. Thats just great!!